/*
 * JBoss, Home of Professional Open Source
 * Copyright 2007, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags.
 * See the copyright.txt in the distribution for a full listing
 * of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU General Public License, v. 2.0.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License,
 * v. 2.0 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2007,
 * @author JBoss Inc.
 */
package org.jboss.txbridge.ba.service;

import org.jboss.txbridge.ba.annotation.*;

import java.util.Map;
import java.util.HashMap;

/**
 * This class describes the service in terms of all its requirements related to participation
 * in Business Activities.
 *
 * TODO: Redesign this - it's really inefficient now!
 *
 *
 * @author Maciej P. Machulak (mmachulak@redhat.com)
 * @version 0.1
 */
public class ServiceDescriptionImpl implements ServiceDescription
{

    /**
     * BA-related information.
     */
    private MethodType methodType;
    private AgreementType agreementType;
    private Map<String,MethodDescription> methods;

    public ServiceDescriptionImpl()
    {
        methods = new HashMap<String,MethodDescription>();
    }

    public MethodType getMethodType()
    {
        return methodType;
    }

    public void setMethodType(MethodType methodType)
    {
        this.methodType = methodType;
    }

    public AgreementType getAgreementType()
    {
        return agreementType;
    }

    public void setAgreementType(AgreementType agreementType)
    {
        this.agreementType = agreementType;
    }

    public void putMethod(String methodName, MethodDescription method)
    {
        this.methods.put(methodName,method);
    }

    public MethodDescription getMethod(String methodName)
    {
        return this.methods.get(methodName);
    }

}
